Package org.picocontainer

# Interface ComponentLifecycle<T>

All Known Subinterfaces:
  `Behavior<T>`

All Known Implementing Classes:
  `AbstractBehavior`, `Automated`, `Cached`, `Decorated`, `FieldDecorated`, `Guarded`, `HiddenImplementation`, `InstanceAdapter`, `Intercepted`, `Locked`, `PropertyApplicator`, `Stored`, `Synchronized`, `ThreadCached`

public interface ComponentLifecycle<T>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`componentHasLifecycle()`
Test if a component honors a lifecycle.
`void`
`dispose(PicoContainer container)`
Invoke the "dispose" method on the component.
`boolean`
`isStarted()`
`void`
`start(PicoContainer container)`
Invoke the "start" method on the component.
`void`
`stop(PicoContainer container)`
Invoke the "stop" method on the component.

## Method Details

### start

void start(PicoContainer container)
Invoke the "start" method on the component.

Parameters:
  `container` - the container to "start" the component

### stop

void stop(PicoContainer container)
Invoke the "stop" method on the component.

Parameters:
  `container` - the container to "stop" the component

### dispose

void dispose(PicoContainer container)
Invoke the "dispose" method on the component.

Parameters:
  `container` - the container to "dispose" the component

### componentHasLifecycle

boolean componentHasLifecycle()
Test if a component honors a lifecycle.

Returns:
  `true` if the component has a lifecycle

### isStarted

boolean isStarted()